Nginx SSL_do_handshake() failed (SSL: error:1417D18C:SSL routines:tls_process_client_hello:version too low) while SSL handshaking

시스템운영/Nginx|2019.03.05 16:19

root#/var/log/nginx# cat error.log

2019/03/04 10:33:17 [crit] 17522#17522: *5196 SSL_do_handshake() failed (SSL: error:1417D18C:SSL routines:tls_process_client_hello:version too low) while SSL handshaking, client: 159.203.x.x, server: 0.0.0.0:443

원인 : 클라이언트 PC가 낮은 SSL/TLS로 요청을 시도하는 경우
예) Windows XP 의 IE 6.0 이하 버전에서 호출하는 경우

해결방법 : nginx ssl_ciphers 의 cipher 값 추가하면 되지만, 무시하자.! 
네이버부터 Windows XP IE 6.0 브라우저의 낮은 버전의 SSL을 보안 취약점 이유로 지원하지 않음


댓글()